MAT_GETFILEACCESSMODE(3)

NAME
Mat_GetFileAccessMode - Returns the file access mode of a MATLAB MAT file given a MAT file structure.

SYNOPSIS
#include <matio.h>
enum mat_acc
Mat_GetFileAccessMode(const mat_t *matfp);

DESCRIPTION
The Mat_GetFileAccessMode() function returns the file access mode of the MATLAB MAT file given by the MAT file structure.

RETURN VALUES
The return value is one of the following:

•   MAT_ACC_RDONLY if the file is opened with read-only access or not opened at all.

•   MAT_ACC_RDWR if the file is opened with read/write access.

SEE ALSO
Mat_CreateVer(3), Mat_Open(3), Mat_GetFilename(3), Mat_GetHeader(3)